#!/usr/bin/env python

import vtk

quadric = vtk.vtkSuperquadric()
sample = vtk.vtkSampleFunction()
sample.SetImplicitFunction(quadric)

sphereSource = vtk.vtkSphereSource()

probeFilter = vtk.vtkProbeFilter()
probeFilter.SetSource(sample.GetOutput())
probeFilter.SetInput(sphereSource.GetOutput())

probeFilter.GetOutput().Update()


probeFilter.SetSource(None)
probeFilter.SetInput(None)
